| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | List of all members
Tp::Callback2< R, Arg1, Arg2 > Class Template Reference
Utililty classes

Callback with 2 arguments. More...

`#include <TelepathyQt/Callbacks>`

Inheritance diagram for Tp::Callback2< R, Arg1, Arg2 >:
[legend]

## Public Types

typedef R(* | FunctionType) (Arg1, Arg2)
typedef R | ResultType

## Public Member Functions

| Callback2 ()
template<class Functor >
| Callback2 (const Functor &functor)
ResultType | operator() (Arg1 a1, Arg2 a2) const
Public Member Functions inherited from Tp::BaseCallback
| BaseCallback ()
| BaseCallback (AbstractFunctorCaller *caller)
| BaseCallback (const BaseCallback &other)
virtual | ~BaseCallback ()
bool | isValid () const
BaseCallback & | operator= (const BaseCallback &other)

## Additional Inherited Members

Protected Attributes inherited from Tp::BaseCallback
AbstractFunctorCaller * | caller

## Detailed Description

### template<class R, class Arg1, class Arg2>
class Tp::Callback2< R, Arg1, Arg2 >

Callback with 2 arguments.

See Callbacks Usage

## Member Typedef Documentation

template<class R, class Arg1, class Arg2>

typedef R(* Tp::Callback2< R, Arg1, Arg2 >::FunctionType) (Arg1, Arg2)

template<class R, class Arg1, class Arg2>

typedef R Tp::Callback2< R, Arg1, Arg2 >::ResultType

## Constructor & Destructor Documentation

template<class R, class Arg1, class Arg2>

Tp::Callback2< R, Arg1, Arg2 >::Callback2 | ( |  | ) |

inline

template<class R, class Arg1, class Arg2>
template<class Functor >

Tp::Callback2< R, Arg1, Arg2 >::Callback2 | ( | const Functor & | functor | ) |

inline

## Member Function Documentation

template<class R, class Arg1, class Arg2>

ResultType Tp::Callback2< R, Arg1, Arg2 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2
| ) |  | const

inline